Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form
Class VType

    java.lang.Object
      com.gwtext.client.widgets.form.VType

    public class VType

extends java.lang.Object

Basic pre-created validation types. Overridable validation definitions. The validations provided are basic and intended to be easily customizable and extended.

See Also:
  `TextField.setVtype(VType)`

Field Summary
`static VType` | `ALPHA` The function used to validate alpha values
`static VType` | `ALPHANUM` The function used to validate alphanumeric values.
`static VType` | `EMAIL` The function used to validate email addresses.
`static VType` | `URL` The function used to validate URLs.

Method Summary
`java.lang.String` | `getVType()`
`static void` | `setAlphaMask(RegExp alphaMask)` The keystroke filter mask to be applied on alpha input.
`static void` | `setAlphanumMask(RegExp alphanumMask)` The keystroke filter mask to be applied on alphanumeric input.
`static void` | `setAlphanumText(java.lang.String alphanumText)` The error text to display when the alphanumeric validation function returns false.
`static void` | `setAlphaText(java.lang.String alphaText)` The error text to display when the alpha validation function returns false.
`static void` | `setEmailMask(RegExp emailMask)` The keystroke filter mask to be applied on email input.
`static void` | `setEmailText(java.lang.String emailText)` The error text to display when the email validation function returns false.
`static void` | `setUrlText(java.lang.String urlText)` The error text to display when the url validation function returns false.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA

    public static VType ALPHA

  The function used to validate alpha values

### ALPHANUM

    public static VType ALPHANUM

  The function used to validate alphanumeric values.

### EMAIL

    public static VType EMAIL

  The function used to validate email addresses.

### URL

    public static VType URL

  The function used to validate URLs.

Method Detail

### getVType

    public java.lang.String getVType()

### setAlphaText

    public static void setAlphaText(java.lang.String alphaText)

  The error text to display when the alpha validation function returns false.

  Parameters:
    `alphaText` - error message

### setAlphaMask

    public static void setAlphaMask(RegExp alphaMask)

  The keystroke filter mask to be applied on alpha input.

  Parameters:
    `alphaMask` - the alpha mask

### setAlphanumText

    public static void setAlphanumText(java.lang.String alphanumText)

  The error text to display when the alphanumeric validation function returns false.

  Parameters:
    `alphanumText` - the error message

### setAlphanumMask

    public static void setAlphanumMask(RegExp alphanumMask)

  The keystroke filter mask to be applied on alphanumeric input.

  Parameters:
    `alphanumMask` - the alpha num mask

### setEmailText

    public static void setEmailText(java.lang.String emailText)

  The error text to display when the email validation function returns false.

  Parameters:
    `emailText` - the error message

### setEmailMask

    public static void setEmailMask(RegExp emailMask)

  The keystroke filter mask to be applied on email input.

  Parameters:
    `emailMask` - the email mask

### setUrlText

    public static void setUrlText(java.lang.String urlText)

  The error text to display when the url validation function returns false.

  Parameters:
    `urlText` - the error message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD